Bug 239775 - Zaptel %{fedora} macro usage isn't safe
Summary: Zaptel %{fedora} macro usage isn't safe
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: zaptel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-11 09:33 UTC by Matthias Saou
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-03 05:43:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Saou 2007-05-11 09:33:54 UTC
The current 1.4.2.1-1 zaptel package uses the %{fedora} macro in ways that will
break if it isn't defined. This isn't a major problem in Fedora land, but does
break EPEL builds of the package "as-is", which is too bad.

I'd suggest two options :
- Add a single line at the top of the file with :
%{!?fedora:%define fedora 7}
- Change the %if tests to become valid even when %{fedora} isn't defined :
%if %{!?fedora:7}%{fedora} > 5

This would make the build without %{fedora} defined behave the same as when it's
set to 7. Feel free to ignore this if you don't like the idea, but I hope you do
consider making some changes ;-)

Comment 1 Jeffrey C. Ollie 2007-11-03 05:43:18 UTC
Removed usage of the %{fedora} macro in latest package.


Note You need to log in before you can comment on or make changes to this bug.